Bug 1420236 (CVE-2016-10044) - CVE-2016-10044 kernel: aio_mount function does not properly restrict execute access
Summary: CVE-2016-10044 kernel: aio_mount function does not properly restrict execute ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-10044
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1431924 1431925 1431926 1431927 1431928
Blocks: 1420237
TreeView+ depends on / blocked
 
Reported: 2017-02-08 09:35 UTC by Andrej Nemec
Modified: 2021-02-17 02:36 UTC (History)
35 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
The aio_mount function in fs/aio.c in the Linux kernel does not properly restrict execute access, which makes it easier for local users to bypass intended SELinux W^X policy restrictions.
Clone Of:
Environment:
Last Closed: 2017-05-22 04:41:17 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-08 09:35:09 UTC
The aio_mount function in fs/aio.c in the Linux kernel does not properly restrict execute access, which makes it easier for local users to bypass intended SELinux W^X policy restrictions, and consequently gain privileges, via an io_setup system call.

Upstream patch:

https://github.com/torvalds/linux/commit/22f6b4d34fcf039c63a94e7670e0da24f8575a5a

References:

https://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.7.7
https://en.wikipedia.org/wiki/W%5EX


Note You need to log in before you can comment on or make changes to this bug.